package com.shkj.wms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shkj.wms.bo.BaseBarcodesOutAddBo;
import com.shkj.wms.bo.BaseDeriveQueryBo;
import com.shkj.wms.domain.BaseBarcodesOut;
import com.shkj.wms.domain.BaseDerive;

import java.util.List;

/**
 * 派生保险杠关系Mapper接口
 *
 * @author zjx
 * @date 2023-04-13
 */
public interface BaseDeriveMapper extends BaseMapper<BaseDerive> {
    /**
     * 查询派生保险杠关系
     *
     * @param id 派生保险杠关系主键
     * @return 派生保险杠关系
     */
    public BaseDerive selectBaseDeriveById(Long id);

    /**
     * 查询派生保险杠关系列表
     *
     * @param baseDerive 派生保险杠关系
     * @return 派生保险杠关系集合
     */
    public List<BaseDerive> selectBaseDeriveList(BaseDerive baseDerive);

    /**
     * 新增派生保险杠关系
     *
     * @param baseDerive 派生保险杠关系
     * @return 结果
     */
    public int insertBaseDerive(BaseDerive baseDerive);

    /**
     * 修改派生保险杠关系
     *
     * @param baseDerive 派生保险杠关系
     * @return 结果
     */
    public int updateBaseDerive(BaseDerive baseDerive);

    /**
     * 删除派生保险杠关系
     *
     * @param id 派生保险杠关系主键
     * @return 结果
     */
    public int deleteBaseDeriveById(Long id);

    /**
     * 批量删除派生保险杠关系
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseDeriveByIds(Long[] ids);

    public List<BaseDerive> selectBaseDeriveListByVehiche(BaseBarcodesOutAddBo bo);


    public BaseDerive selectBaseDeriveBybarcodes(BaseDeriveQueryBo bo);
}
